<?php

class MailboxLocaleLang extends HordeLocaleLang {
   
   function MailboxLocaleLang () {
      $this->HordeLocaleLang();
   }
   
   function error ($current_mbox, $action) {
      global $lang;
      
      $action_text = $lang->$action;
      return "Mappe: $current_mbox: Fejl: Meddelelse $action_text Fejlet";
   }
   
   function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Meddelelser';
      else $messages = 'Meddelelse';
      
      $action_text = $lang->$action;
      return "Mappe: $current_mbox: $action_text $num $messages";
   }
   
   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Meddelelser';
      else $messages = 'Meddelelse';
      
      $action_text = $lang->$action;
      return "Mappe: $current_mbox: $action_text $num $messages til $targetMbox";
   }
   
   function pagenav ($page, $page_count) {
      global $this_client;
      if ($this_client == '') { $this_client = new WebClient; }

      if ($this_client->lynx) {
	 return "Side $page af $page_count";
      } else {
         $len = strlen($page_count);
	 return "Side <input type=\"text\" name=\"page\" value=\"$page\" size=$len> af $page_count";
      }
   }
   
   function overview ($begin, $end, $nummsgs) {
       if ($nummsgs == 0) {
	  return "0 Meddelelser";
       } elseif ($nummsgs == 1) {
	  return "1 Meddelelse";
       } else {
	  return "$begin - $end af $nummsgs Meddelelser";
       }
   }
   
}


$lang = new MailboxLocaleLang();
require('./locale/da/openwin.lang');

$lang->delete_link = 'Slet';
$lang->undelete_link = 'Gendan';
$lang->move_link = 'Flyt';
$lang->copy_link = 'Kopiér';
$lang->selected_mail = 'markeret mail(s)';

$lang->sort_by_label =  'Sortér efter';
$lang->date_label = 'Dato';
$lang->from_label = 'Fra';
$lang->subject_label = 'Emne';
$lang->size_label = 'Størrelse';
$lang->to_label = 'Til';

$lang->select_all = 'Marker alle';
$lang->select_none = 'Fjern markering';
$lang->hide_deleted = 'Skjul slettede meddelelser';
$lang->show_deleted = 'Vis slettede meddelelser';
$lang->empty_trash = 'Tøm skraldespand';

$lang->no_subject = '[Intet emne]';
$lang->undisclosed_recipients = 'Modtager ej fundet';
$lang->mailbox = 'Mappe';

$lang->message = 'Meddelelse';
$lang->messages = 'Meddelelser';

$lang->deletion = 'Sletning';
$lang->deleted = 'Slettet';
$lang->undeletion = 'Fortryd sletning';
$lang->undeleted = 'Genskabt';
$lang->move = 'Flytning';
$lang->moved = 'Flyttet';
$lang->copy = 'Kopiering';
$lang->copied = 'Kopieret';
$lang->expunge = 'Slette';
$lang->expunged = 'Renset';
$lang->hiding_deleted = 'Skjuler slettede meddelelser';
$lang->showing_deleted = 'Viser slettede meddelelser';
$lang->deleted_summary = 'Slettet meddelelse(r) skjult fra visning';
$lang->empty_mailbox = 'Der er ingen meddelelser i denne mappe.';
$lang->no_messages_selected = 'Du skal v?lge mindst ?n meddelelse f?rst.';

$lang->reverse_sort = 'Omvendt (nyest eller størst til ældst eller mindst) sorteringsmåde.';

$lang->refresh = 'Opdatér mappe';
$lang->alert_really_delete = 'r du sikker p? at du vil slette disse beskeder PERMANENT?';
$lang->first_page = 'f?rste side';
$lang->prev_page = 'forrige side';
$lang->next_page = 'n?ste side';
$lang->last_page = 'sidste side';
$lang->no_mailbox_selected = 'Du skal f?rst v?lge en folder.';
?>
